# Class BomSniffer

java.lang.Object
nu.validator.htmlparser.io.BomSniffer

public final class BomSniffer extends Object
The BOM sniffing part of the HTML5 encoding sniffing algorithm.

Version:
  $Id$
Author:
  hsivonen

## Constructor Summary

Constructors
Constructor
Description
`BomSniffer(ByteReadable source)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BomSniffer

public BomSniffer(ByteReadable source)

Parameters:
  `source` -